Skip to main content

Order Change Create Ep

POST 

/v1/order/change/create

Create Order Change Request

Creates a request to change an order. This change will need to be accepted or rejected with the /order/change/approve or /reject endpoints.

Required Scopes (ioc.w)

Changes will be in the "waiting_for_approval" status until approved or rejected. If the order already has a pending change, it will be automatically marked as "rejected" before creating the new change.

By default, the endpoint validates that the change would succeed before creating the change request. Set validate=False to skip this validation and create the change request regardless.


update: OrderUpdateRequest
The order update details to be applied if approved. Please refer to the /order/update endpoint for details on the update structure. The order field within the update identifies the order to attach the change request to.

validate: bool = True
When True (default), validates the change would succeed before creating the change request. If validation fails, returns a 422 error with the validation message.

Responses

Successful Response

{
"id": "string",
"order_id": "string",
"order_number": 0,
"status": "waiting_for_approval",
"created_on": "2026-03-19T20:39:32.880Z",
"change_types": [
"supply_change"
]
}
Loading...